# Packet

  Packet captured with `Capture` object. `Packet` and its sub-classes are `Marshal` compliant.

## Super Class:

  `Object`

## Methods:

`caplen`

  Return captured length.

`datalink`

  Return an integer representing data-link type. (e.g. `DLT_EN10MB`)

`ip?`

  Return `true` if this packet is an instance of `IPPacket` or its sub-class.

`len`
`length`
`size`

  Return total length of packet.

`raw_data`

  Return raw data of packet as `String`.

`tcp?`

  Return `true` if this packet is an instance of `TCPPacket` or its sub-class.

`time`

  Return timestamp as `Time`.

`time_i`

  Return timestamp as integer.

`udp?`

  Return `true` if this packet is an instance of `UDPPacket` or its sub-class.

fukusima@goto.info.waseda.ac.jp